[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.Polyline

Draws a sequence of lines between the specified points.

## Declaration

Source position: winapih.inc line 214

`public function TWidgetSet.Polyline(`
`DC: HDC;`
`Points: PPoint;`
`NumPts: Integer`
`):Boolean; virtual;`

## Description

Use Polyline to connect a set of points on the canvas.

The Points parameter is an array of points to be connected. If you specify only two points, Polyline draws a single line.

Calling the MoveTo function with the value of the first point, and then repeatedly calling LineTo with all subsequent points will draw the same image on the canvas. Unlike LineTo, Polyline does not change the value of PenPos.